## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints
Class SQLConstraintsBlock.ConstraintsSection

    java.lang.Object
      org.eclipse.ui.forms.AbstractFormPart
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
              org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CompositeEditSection
                  org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.SQLConstraintsBlock.ConstraintsSection

All Implemented Interfaces:
  org.eclipse.ui.forms.IFormPart

Enclosing class:
  SQLConstraintsBlock

    public class SQLConstraintsBlock.ConstraintsSection

extends CompositeEditSection

The master section

Author:
  Idull

Field Summary
`static int` `CONSTRAINT_INFO_COLUMN`
`static int` `CONSTRAINT_NAME_COLUMN`

Fields inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CompositeEditSection
`BUTTON_WIDTH`

Constructor Summary
`SQLConstraintsBlock.ConstraintsSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, boolean isCollapseable, boolean isCollapsed, int estyle)`

Method Summary
`void` `createSectionContent(org.eclipse.swt.widgets.Composite parent)` Creates the section content, subclass should implement this method to create controls in the contect
`org.eclipse.jface.viewers.TreeViewer` `getViewer()`
`void` `refreshInput()` This method shoud be called when constraint is added/removed, or model is re-generated

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CompositeEditSection
`enableButton, getButtonComp, getButtons, getLeftComposite, isButtonEnabled`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
`createControl, getSection, getSectionContent, setPluginId`

Methods inherited from class org.eclipse.ui.forms.AbstractFormPart
`commit, dispose, getManagedForm, initialize, isDirty, isStale, markDirty, markStale, refresh, setFocus, setFormInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTRAINT_NAME_COLUMN

    public static final int CONSTRAINT_NAME_COLUMN

See Also:
  Constant Field Values

### CONSTRAINT_INFO_COLUMN

    public static final int CONSTRAINT_INFO_COLUMN

See Also:
  Constant Field Values

Constructor Detail

### SQLConstraintsBlock.ConstraintsSection

    public SQLConstraintsBlock.ConstraintsSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                                                  java.lang.String title,
                                                  org.eclipse.swt.widgets.Display display,
                                                  boolean isCollapseable,
                                                  boolean isCollapsed,
                                                  int estyle)

Method Detail

### getViewer

    public org.eclipse.jface.viewers.TreeViewer getViewer()

### createSectionContent

    public void createSectionContent(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `CollapseableSection`
  Creates the section content, subclass should implement this method to create controls in the contect

  Parameters:
    `parent` - the section content composite

### refreshInput

    public void refreshInput()

  This method shoud be called when constraint is added/removed, or model is re-generated